# Pacchettizzazione del kit ufficiale CIE Middleware da Developers Italia

Il pacchetto .deb è prelevato dal sito ufficiale del Ministero degli Interni -
[Middleware CIE](https://www.cartaidentita.interno.gov.it/fornitori-di-servizi/documentazione-middleware-cie/).

Tuttavia i sorgenti sono manutenuti da Developers Italia su [GitHub](https://github.com/italia/cie-middleware-linux) e dovrebbero anche essere compilabili.

## Produzione dei pacchetti correlati

Lanciando il comando di build:

    $ makepkg -cf

Verrà scaricato il sorgente necessario, scompattato, quindi creati due
pacchetti:

* `it-cie-lib-bin-<versione>.tar.zst`: è la libreria che serve ad utilizzare
  la CIE anche in altre applicazioni
* `cieid-bin-<versione>.tar.zst`: è l'applicazione GUI Java-based per la
  gestione della CIE.

## Ulteriori configurazioni

Dopo aver installato il pacchetto, è possibile associare la libreria con i
principali browser per potersi autenticare con un lettore.

Per Chrome, **chiudere il browser** quindi lanciare:

    $ modutil -dbdir sql:.pki/nssdb/ -add "CIE" -libfile /usr/lib/libcie-pkcs11.so

Per Firefox, ci sono le istruzioni anche sul [sito del Ministero degli
Interni](https://github.com/italia/cie-middleware-linux/releases/download/1.4.3.1/CIE.3.0.-.Manuale.d.uso.del.middleware.Linux.pdf). Attenzione però perché il *Nome file modulo* è `/usr/lib/libcie-pkcs11.so`.
